opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Attributes | List of all members
CvNormalBayesClassifier Class Reference

`#include <ml.hpp>`

Inheritance diagram for CvNormalBayesClassifier:

## Public Member Functions
virtual CV_WRAP void | clear ()
CV_WRAP | CvNormalBayesClassifier ()
| CvNormalBayesClassifier (const CvMat *trainData, const CvMat *responses, const CvMat *varIdx=0, const CvMat *sampleIdx=0)
CV_WRAP | CvNormalBayesClassifier (const cv::Mat &trainData, const cv::Mat &responses, const cv::Mat &varIdx=cv::Mat(), const cv::Mat &sampleIdx=cv::Mat())
virtual float | predict (const CvMat *samples, CV_OUT CvMat *results=0) const
virtual CV_WRAP float | predict (const cv::Mat &samples, CV_OUT cv::Mat *results=0) const
virtual void | read (CvFileStorage *storage, CvFileNode *node)
virtual bool | train (const CvMat *trainData, const CvMat *responses, const CvMat *varIdx=0, const CvMat *sampleIdx=0, bool update=false)
virtual CV_WRAP bool | train (const cv::Mat &trainData, const cv::Mat &responses, const cv::Mat &varIdx=cv::Mat(), const cv::Mat &sampleIdx=cv::Mat(), bool update=false)
virtual void | write (CvFileStorage *storage, const char *name) const
virtual | ~CvNormalBayesClassifier ()
Public Member Functions inherited from CvStatModel
| CvStatModel ()
virtual CV_WRAP void | load (const char *filename, const char *name=0)
virtual CV_WRAP void | save (const char *filename, const char *name=0) const
virtual | ~CvStatModel ()

## Protected Attributes
CvMat ** | avg
CvMat * | c
CvMat * | cls_labels
CvMat ** | count
CvMat ** | cov_rotate_mats
CvMat ** | inv_eigen_values
CvMat ** | productsum
CvMat ** | sum
int | var_all
int | var_count
CvMat * | var_idx
Protected Attributes inherited from CvStatModel
const char * | default_model_name

## Constructor & Destructor Documentation

CV_WRAP CvNormalBayesClassifier::CvNormalBayesClassifier | ( |  | ) |

virtual CvNormalBayesClassifier::~CvNormalBayesClassifier | ( |  | ) |
| virtual

CvNormalBayesClassifier::CvNormalBayesClassifier | ( | const CvMat * | trainData,
|  | const CvMat * | responses,
|  | const CvMat * | varIdx = `0`,
|  | const CvMat * | sampleIdx = `0`
| ) |  |

CV_WRAP CvNormalBayesClassifier::CvNormalBayesClassifier | ( | const cv::Mat & | trainData,
|  | const cv::Mat & | responses,
|  | const cv::Mat & | varIdx = `cv::Mat()`,
|  | const cv::Mat & | sampleIdx = `cv::Mat()`
| ) |  |

## Member Function Documentation

virtual CV_WRAP void CvNormalBayesClassifier::clear | ( |  | ) |
| virtual

Reimplemented from CvStatModel.

virtual float CvNormalBayesClassifier::predict | ( | const CvMat * | samples,
|  | CV_OUT CvMat * | results = `0`
| ) |  | const
| virtual

virtual CV_WRAP float CvNormalBayesClassifier::predict | ( | const cv::Mat & | samples,
|  | CV_OUT cv::Mat * | results = `0`
| ) |  | const
| virtual

virtual void CvNormalBayesClassifier::read | ( | CvFileStorage * | storage,
|  | CvFileNode * | node
| ) |  |
| virtual

Reimplemented from CvStatModel.

virtual bool CvNormalBayesClassifier::train | ( | const CvMat * | trainData,
|  | const CvMat * | responses,
|  | const CvMat * | varIdx = `0`,
|  | const CvMat * | sampleIdx = `0`,
|  | bool | update = `false`
| ) |  |
| virtual

virtual CV_WRAP bool CvNormalBayesClassifier::train | ( | const cv::Mat & | trainData,
|  | const cv::Mat & | responses,
|  | const cv::Mat & | varIdx = `cv::Mat()`,
|  | const cv::Mat & | sampleIdx = `cv::Mat()`,
|  | bool | update = `false`
| ) |  |
| virtual

virtual void CvNormalBayesClassifier::write | ( | CvFileStorage * | storage,
|  | const char * | name
| ) |  | const
| virtual

Reimplemented from CvStatModel.

## Member Data Documentation

CvMat** CvNormalBayesClassifier::avg
| protected

CvMat* CvNormalBayesClassifier::c
| protected

CvMat* CvNormalBayesClassifier::cls_labels
| protected

CvMat** CvNormalBayesClassifier::count
| protected

CvMat** CvNormalBayesClassifier::cov_rotate_mats
| protected

CvMat** CvNormalBayesClassifier::inv_eigen_values
| protected

CvMat** CvNormalBayesClassifier::productsum
| protected

CvMat** CvNormalBayesClassifier::sum
| protected

int CvNormalBayesClassifier::var_all
| protected

int CvNormalBayesClassifier::var_count
| protected

CvMat* CvNormalBayesClassifier::var_idx
| protected

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/ml/include/opencv2/ml/ml.hpp